# gfs_pio_eof

## Name

gfs_pio_eof -- check file status

## Synopsis

    #include <gfarm/gfarm.h>

```int gfs_pio_eof``(GFS_File `gf`);`

## DESCRIPTION

The function `gfs_pio_eof()` tests the end-of-file indicator for the file pointed to by `gf`.

## RETURN VALUES

`zero`

  The end-of-file indicator is not set.

`non-zero`

  The end-of-file indicator is set.

## SEE ALSO

gfs_pio_create(3), gfs_pio_error(3), gfs_pio_open(3)